Supercheck LogoSupercheck
Tests API

List tests

List all tests in the current project with optional search and type filters.

GET
/api/tests

Authorization

bearerAuth
AuthorizationBearer <token>

CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.

In: header

Query Parameters

page?integer

Page number for pagination

Default1
Range1 <= value
limit?integer

Items per page

Default20
Range1 <= value <= 100
includeScript?boolean

Include decoded script content in each listed test. Defaults to false.

search?string

Search by title

type?string

Filter by test type. Aliases: playwrightbrowser, k6performance

Value in"browser" | "api" | "performance" | "database" | "custom"

Response Body

application/json

application/json

curl -X GET "https://demo.supercheck.dev/api/tests"
{
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0,
    "hasNextPage": true,
    "hasPrevPage": true
  },
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "title": "string",
      "description": "string",
      "priority": "low",
      "type": "browser",
      "script": "string",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "color": "string"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Unauthorized"
}